# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

_Public Classes_

* [`nservicebusservicepulse`](#nservicebusservicepulse): Installs and configures Particular's Service Pulse Monitoring Tool.

_Private Classes_

* `nservicebusservicepulse::config`: This class handles the configuration of servicepulse.
* `nservicebusservicepulse::install`: This class handles the management of the servicepulse installer and package.
* `nservicebusservicepulse::params`: This class handles the default parameters servicepulse class.
* `nservicebusservicepulse::service`: This class handles the service configuration of servicepulse.

## Classes

### nservicebusservicepulse

Installs and configures Particular's Service Pulse Monitoring Tool.

#### Parameters

The following parameters are available in the `nservicebusservicepulse` class.

##### `package_ensure`

Data type: `String`

Whether to install the ServicePulse package.

Default value: $nservicebusservicepulse::params::package_ensure

##### `package_manage`

Data type: `Boolean`

Whether to manage the ServicePulse package.

Default value: $nservicebusservicepulse::params::package_manage

##### `package_source`

Data type: `Optional[String]`

Where to find the package file.

Default value: $nservicebusservicepulse::params::package_source

##### `package_provider`

Data type: `String`

The package provider that should be used.

Default value: $nservicebusservicepulse::params::package_provider

##### `service_manage`

Data type: `Boolean`

Specifies whether or not to manage the desired state of the windows service.

Default value: $nservicebusservicepulse::params::service_manage

##### `service_ensure`

Data type: `Enum['running', 'stopped']`

Specifies the state of the service.

Default value: $nservicebusservicepulse::params::service_ensure

##### `service_enable`

Data type: `Variant[ Boolean, Enum['manual'] ]`

Whether to enable the service.

Default value: $nservicebusservicepulse::params::service_enable

##### `port`

Data type: `Stdlib::Port`

Specify the port number to listen on. 9090 is recommended if no conflicts exist.

Default value: $nservicebusservicepulse::params::port

##### `service_control_url`

Data type: `Stdlib::Httpurl`

Specify the url for the servicecontrol instance api.

Default value: $nservicebusservicepulse::params::service_control_url

##### `monitoring_url`

Data type: `Stdlib::Httpurl`

Specify the url for the servicecontrol monitoring instance api.

Default value: $nservicebusservicepulse::params::monitoring_url

##### `show_pending_retry`

Data type: `Boolean`

Whether to show retries that are currently in pending in servicepulse.

Default value: $nservicebusservicepulse::params::show_pending_retry

